<div 
    class="limit-progress" 
    [ngClass]="progressState ?? (value >= maxLimit ? 'danger' : intermediateLimit && value >= intermediateLimit ? 'warning' : 'success')"
>
    <div class="limit-progress-header">
        <div class="limit-progress-header">{{label}}</div>
        <div class="limit-progress-value">{{value | number : '1.0-2'}}/{{maxLimit}} {{unit}}</div>
    </div>
    <p-progressBar 
        [value]="(value / maxLimit) * 100" 
        [showValue]="false"
    ></p-progressBar>
    <div class="limit-progress-message">
        <span *ngIf="progressState ? progressState === 'danger' : maxLimitExceededMessage && value >= maxLimit; else intermediateLimitBlock">
            <i class="fa fa-warning"></i>
            {{maxLimitExceededMessage}}
        </span>
        <ng-template #intermediateLimitBlock>
            <span *ngIf="progressState ? progressState === 'warning' : intermediateLimitExceededMessage && value >= intermediateLimit; else defaultBlock">
                <i class="fa fa-warning"></i>
                {{intermediateLimitExceededMessage}}
            </span>
        </ng-template>
        <ng-template #defaultBlock>
            <span *ngIf="defaultMessage">
                <i class="fa fa-check-circle"></i>
                {{defaultMessage}}
            </span>
        </ng-template>
    </div>
</div>